Subject: [Isis-wg] Addressing Routers in IS-IS Packets

From: "Nurit Sprecher" <[email-masked]>
Date: Thu, 4 Nov 2004 13:31:18 +0200

Hi,

I have a question on the OSI-style addresses of IP routers, and I'll
appreciate a response.

RFC 1195 suggests two ways in which NSAP addresses may be obtained for
use with the IS-IS protocol.
When using the algorithmically generating a valid OSI style address from
existing IP address, RFC 1195 suggests that the System ID is based on
the System's IP address. The hex value "02 00" is used prepended to the
IP address of the router.
 
However I could see that Cisco claims that most ISPs do it in another
way. Each of the four bytes of the IP address is prepended by zeros if
necessary. Then, the resulting 12 decimal digits are re-divided into
three groups of 4 decimal digits, each group occupying 2 bytes.  
 
Since the mapping needs to be defined coherently network wide, I would
like to know which of the methods is the common and used one, and maybe
other methods are in use.
 
Thanks in advance,
Nurit.

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: "Don Goodspeed" <[email-masked]>
Date: Thu, 4 Nov 2004 08:41:54 -0800

Nurit,

The latter implementation is the one I've seen most frequently from various
vendor's
implementations.

-don
  -----Original Message-----
  From: [email-masked] [mailto:[email-masked]]On Behalf
Of Nurit Sprecher
  Sent: Thursday, November 04, 2004 3:31 AM
  To: [email-masked]
  Cc: Nurit Sprecher
  Subject: [Isis-wg] Addressing Routers in IS-IS Packets

  Hi,

RFC 1195 suggests two ways in which NSAP addresses may be obtained for use
with the IS-IS protocol.When using the algorithmically generating a valid
OSI style address from existing IP address, RFC 1195 suggests that the
System ID is based on the System's IP address. The hex value "02 00" is used
prepended to the IP address of the router. However I could see that Cisco
claims that most ISPs do it in another way. Each of the four bytes of the IP
address is prepended by zeros if necessary. Then, the resulting 12 decimal
digits are re-divided into three groups of 4 decimal digits, each group
occupying 2 bytes.   Since the mapping needs to be defined coherently
network wide, I would like to know which of the methods is the common and
used one, and maybe other methods are in use. Thanks in advance,Nurit.
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: Jeff Parker <[email-masked]>
Date: Thu, 04 Nov 2004 12:30:17 -0500

Nurit -
    The short answer is that it doesn¹t matter.
    If these addresses, IS-IS System IDs, were visible outside an ISP, it
would matter.  But as long as the values are unique within the domain, which
is typically interior to an ISP, it doesn¹t matter how they are allocated.

- jeff parker

On 11/4/04 6:31 AM, "Nurit Sprecher" <[email-masked]>
wrote:

> with the IS-IS protocol.
> existing IP address, RFC 1195 suggests that the System ID is based on the
> System¹s IP address. The hex value "02 00" is used prepended to the IP address
> of the router.
>  
> However I could see that Cisco claims that most ISPs do it in another way.
> Each of the four bytes of the IP address is prepended by zeros if necessary.
> Then, the resulting 12 decimal digits are re-divided into three groups of 4
> decimal digits, each group occupying 2 bytes.
>  
> Since the mapping needs to be defined coherently network wide, I would like to
> know which of the methods is the common and used one, and maybe other methods
> are in use.
>  
> Thanks in advance,
> Nurit.
>  
>  
>  
>  
> 
>